Dear Maintainer,
please use "fetch-url" instead of "wget" to retrieve the "authorized_keys"
file. This would enable support for tftp and plain files.
As the network-console is especially useful in PXE environments, a tftp server
will be present very likely and the console could be used without the need of
an additional http server.
The applied patch is untested.
Kind regards,
Tammo
--- a/debian/network-console.postinst 2014-08-29 12:57:52.505502886 +0200
+++ b/debian/network-console.postinst 2014-08-29 13:12:22.940733447 +0200
@@ -37,7 +37,7 @@
[ -d "$AUTHORIZED_KEYS_DIRECTORY" ] || \
mkdir "$AUTHORIZED_KEYS_DIRECTORY"
chmod 0700 "$AUTHORIZED_KEYS_DIRECTORY"
- if ! wget -q "$AUTHORIZED_KEYS_URL" -O "$AUTHORIZED_KEYS_FILE";
then
+ if ! fetch-url -r "$AUTHORIZED_KEYS_URL"
"$AUTHORIZED_KEYS_FILE"; then
db_subst $TEMPLATE_ROOT/authorized_keys_fetch_failure \
LOCATION "$AUTHORIZED_KEYS_URL"
db_input critical
$TEMPLATE_ROOT/authorized_keys_fetch_failure \